#Effects
#Hot Side
execute as @s[scores={level=1}] run effect give @s fire_resistance 1 0 true
execute as @s[scores={level=1}] run particle minecraft:flame ~.5 ~ ~ .2 1 .2 0 1 normal

execute as @s[scores={level=2}] run effect give @s fire_resistance 1 1 true
execute as @s[scores={level=2}] run particle minecraft:flame ~.5 ~ ~ .2 1 .2 0 2 normal

execute as @s[scores={level=3}] run effect give @s fire_resistance 1 2 true
execute as @s[scores={level=3}] run particle minecraft:flame ~.5 ~ ~ .2 1 .2 0 3 normal

execute as @s[scores={level=4}] run effect give @s fire_resistance 1 3 true
execute as @s[scores={level=4}] run particle minecraft:flame ~.5 ~ ~ .3 1 .3 1 3 normal

execute as @s[scores={level=5}] run effect give @s fire_resistance 1 4 true
execute as @s[scores={level=5}] run particle minecraft:flame ~.5 ~ ~ .5 1.5 .5 1 5 force

#Cold Side
execute as @s[scores={level=1}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .2 .8 .2 0 1 normal

execute as @s[scores={level=2}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .2 .8 .2 0 1 normal

execute as @s[scores={level=3}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .2 .8 .2 0 1 normal

execute as @s[scores={level=4}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .3 1 .3 1 1 normal

execute as @s[scores={level=5}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .5 1.5 .5 1 5 force

execute if block ~ ~-1 ~ water run setblock ~ ~-1 ~ ice
execute if block ~ ~-1 ~ lava run setblock ~ ~-1 ~ obsidian
execute if block ~ ~-1 ~ ice run effect give @s speed 1 0 true

#Ice Shot
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["ice"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=ice,distance=..1] @s
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=ice,distance=..1] ^ ^1.2 ^
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run playsound minecraft:entity.endermite.step master @a[distance=..20]

execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 5
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 80
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 70
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 60
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 50
execute as @s[scores={click=1..,sneaktime=1..20,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 40

tag @e[type=armor_stand,tag=!setup,tag=ice] add setup

execute as @s[scores={level=1}] run scoreboard players set @e[tag=ice] icespeed 80
execute as @s[scores={level=2}] run scoreboard players set @e[tag=ice] icespeed 90
execute as @s[scores={level=3}] run scoreboard players set @e[tag=ice] icespeed 100
execute as @s[scores={level=4}] run scoreboard players set @e[tag=ice] icespeed 110
execute as @s[scores={level=5}] run scoreboard players set @e[tag=ice] icespeed 120
execute as @e[tag=ice] at @s run function heroaca:coldhot/iceshot

#Ice Spikes
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["ice2"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=ice2,distance=..1] @s
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=ice2,distance=..1] ^ ^1.2 ^2
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run playsound minecraft:entity.endermite.step master @a[distance=..20]

execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 75
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 80
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 70
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 60
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 50
execute as @s[scores={click=1..,sneaktime=21..40,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 40

tag @e[type=armor_stand,tag=!setup,tag=ice2] add setup

execute as @s[scores={level=1}] run scoreboard players set @e[tag=ice2] icespeed 200
execute as @s[scores={level=2}] run scoreboard players set @e[tag=ice2] icespeed 220
execute as @s[scores={level=3}] run scoreboard players set @e[tag=ice2] icespeed 240
execute as @s[scores={level=4}] run scoreboard players set @e[tag=ice2] icespeed 260
execute as @s[scores={level=5}] run scoreboard players set @e[tag=ice2] icespeed 300
execute as @e[tag=ice2] at @s run function heroaca:coldhot/icespikes

#Fire Shot
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["fire"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=fire,distance=..1] @s
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=fire,distance=..1] ^ ^1.2 ^
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run playsound minecraft:entity.ghast.shoot master @s

execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 5
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 40
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 30
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 25
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 20
execute as @s[scores={click=1..,sneaktime=41..60,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 15

tag @e[type=armor_stand,tag=!setup,tag=fire] add setup

execute as @s[scores={level=1}] run scoreboard players set @e[tag=fire] firespeed 100
execute as @s[scores={level=2}] run scoreboard players set @e[tag=fire] firespeed 150
execute as @s[scores={level=3}] run scoreboard players set @e[tag=fire] firespeed 180
execute as @s[scores={level=4}] run scoreboard players set @e[tag=fire] firespeed 240
execute as @s[scores={level=5}] run scoreboard players set @e[tag=fire] firespeed 300
execute as @e[tag=fire] at @s run function heroaca:coldhot/fireshot

#Fire Wave
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:flame ~ ~ ~ 2 2 2 .4 100 force
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run playsound minecraft:entity.ghast.shoot master @s

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.3 ~ {direction:[0.0,-0.15,2.0],ExplosionPower:1}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.3 ~ {direction:[0.0,-0.15,-2.0],ExplosionPower:1}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.3 ~ {direction:[2.0,-0.15,0.0],ExplosionPower:1}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.3 ~ {direction:[-2.0,-0.15,0.0],ExplosionPower:1}

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.5 ~ {direction:[0.0,-0.15,2.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.5 ~ {direction:[0.0,-0.15,-2.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.5 ~ {direction:[2.0,-0.15,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~.5 ~ {direction:[-2.0,-0.15,0.0],ExplosionPower:2}

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~1 ~ {direction:[0.0,-0.1,2.5],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~1 ~ {direction:[0.0,-0.1,-2.5],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~1 ~ {direction:[2.5,-0.1,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~1 ~ {direction:[-2.5,-0.1,0.0],ExplosionPower:3}

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2 ~ {direction:[0.0,-0.6,2.5],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2 ~ {direction:[0.0,-0.6,-2.5],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2 ~ {direction:[2.5,-0.6,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2 ~ {direction:[-2.5,-0.6,0.0],ExplosionPower:4}

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2.5 ~ {direction:[0.0,-0.9,3.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2.5 ~ {direction:[0.0,-0.9,-3.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2.5 ~ {direction:[3.0,-0.9,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~2.5 ~ {direction:[-3.0,-0.9,0.0],ExplosionPower:5}

execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 75
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 80
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 70
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 60
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 50
execute as @s[scores={click=1..,sneaktime=61..80,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 40

#Flashfreeze Heatwave
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","1"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","2"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","3"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","4"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","5"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","6"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","7"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:armor_stand ~ ~ ~ {Tags:["flashwave","8"],Invisible:1b,Invulnerable:1b}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,distance=..1] @s
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=1,distance=..1] ~ ~1.2 ~5 0 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=2,distance=..1] ~-5 ~1.2 ~ 90 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=3,distance=..1] ~ ~1.2 ~-5 180 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=4,distance=..1] ~5 ~1.2 ~ 270 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=5,distance=..1] ~-5 ~1.2 ~5 45 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=6,distance=..1] ~-5 ~1.2 ~-5 135 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=7,distance=..1] ~5 ~1.2 ~-5 225 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run tp @e[type=armor_stand,tag=!setup,tag=flashwave,tag=8,distance=..1] ~5 ~1.2 ~5 315 0
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run playsound minecraft:entity.endermite.step master @a[distance=..20]

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1 1 1 0 1000 force
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.1 1.1 1.1 0 1000 force
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.2 1.2 1.2 0 1000 force
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.3 1.3 1.3 0 1000 force
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.4 1.4 1.4 0 1000 force

tag @e[type=armor_stand,tag=!setup,tag=flashwave] add setup

execute as @s[scores={level=1}] run scoreboard players set @e[tag=flashwave] icespeed 20
execute as @s[scores={level=2}] run scoreboard players set @e[tag=flashwave] icespeed 30
execute as @s[scores={level=3}] run scoreboard players set @e[tag=flashwave] icespeed 40
execute as @s[scores={level=4}] run scoreboard players set @e[tag=flashwave] icespeed 50
execute as @s[scores={level=5}] run scoreboard players set @e[tag=flashwave] icespeed 80
execute as @e[tag=flashwave] at @s run function heroaca:coldhot/icespikes

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:2}

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:3}

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:4}

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~ ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~ {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run summon minecraft:fireball ~-5 ~3 ~-5 {direction:[0.0,-2.0,0.0],ExplosionPower:5}

execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 200
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 300
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 280
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 260
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 240
execute as @s[scores={click=1..,sneaktime=81..100,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 200

#Surround with Ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~ ice

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~ ice

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~ ice

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~1 ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-1 ~-1 ~-2 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~2 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-2 ~-1 ~-1 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~-3 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~ ~-1 ~3 ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~-3 ~-1 ~ ice
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run setblock ~3 ~-1 ~ ice

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1 1 1 0 100 force
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.1 1.1 1.1 0 100 force
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.2 1.2 1.2 0 100 force
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.3 1.3 1.3 0 100 force
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run particle minecraft:dust 0 .7 1 1 ~ ~ ~ 1.4 1.4 1.4 0 100 force

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run effect give @e[tag=!Ice,tag=!ColdHot,tag=!afoIce,tag=!afoColdHot,distance=..2] minecraft:slowness 3 10 true
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run effect give @e[tag=!Ice,tag=!ColdHot,tag=!afoIce,tag=!afoColdHot,distance=..3] minecraft:slowness 4 10 true
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run effect give @e[tag=!Ice,tag=!ColdHot,tag=!afoIce,tag=!afoColdHot,distance=..3] minecraft:slowness 6 10 true
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run effect give @e[tag=!Ice,tag=!ColdHot,tag=!afoIce,tag=!afoColdHot,distance=..4] minecraft:slowness 8 10 true
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run effect give @e[tag=!Ice,tag=!ColdHot,tag=!afoIce,tag=!afoColdHot,distance=..5] minecraft:slowness 10 10 true

execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players add @s Mastery 50
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 100
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 90
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 70
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 50
execute as @s[scores={click=1..,sneaktime=101..120,cooldown=..0,level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] at @s run scoreboard players set @s cooldown 30