execute as @a[tag=Hardening,tag=Active,tag=!Erased] at @s run function heroaca:hardening/quirk
execute as @a[tag=Invisibility,tag=Active,tag=!Erased] at @s run function heroaca:invisibility/quirk
execute as @a[tag=Engine,tag=Active,tag=!Erased] at @s run function heroaca:engine/quirk
execute as @a[tag=Electrification,tag=Active,tag=!Erased] at @s run function heroaca:electrification/quirk
execute as @a[tag=Explosion,tag=Active,tag=!Erased] at @s run function heroaca:explosion/quirk
execute as @a[tag=Erasure,tag=Active,tag=!Erased] at @s run function heroaca:erasure/quirk
execute as @a[tag=Fire,tag=Active,tag=!Erased] at @s run function heroaca:fire/quirk
execute as @a[tag=Decay,tag=Active,tag=!Erased] at @s run function heroaca:decay/quirk
execute as @a[tag=Ice,tag=Active,tag=!Erased] at @s run function heroaca:ice/quirk
execute as @a[tag=ColdHot,tag=Active,tag=!Erased] at @s run function heroaca:coldhot/quirk
execute as @a[tag=OFA,tag=Active,tag=!Erased] at @s run function heroaca:oneforall/quirk
execute as @a[tag=MindControl,tag=Active,tag=!Erased] at @s run function heroaca:mindcontrol/quirk
execute as @a[tag=Creation,tag=Active,tag=!Erased] at @s run function heroaca:creation/quirk
execute as @a[tag=MuscleAug,tag=Active,tag=!Erased] at @s run function heroaca:muscleaugmentation/quirk
execute as @a[tag=Regeneration,tag=Active,tag=!Erased] at @s run function heroaca:regeneration/quirk
execute as @a[tag=AFO,tag=Active,tag=!Erased] at @s run function heroaca:allforone/quirk
execute as @a[tag=Warp,tag=Active,tag=!Erased] at @s run function heroaca:warp/quirk
execute as @a[tag=Gas,tag=Active,tag=!Erased] at @s run function heroaca:gas/quirk
execute as @a[tag=Nature,tag=Active,tag=!Erased] at @s run function heroaca:nature/quirk
execute as @a[tag=XRay,tag=Active,tag=!Erased] at @s run function heroaca:xray/quirk
execute as @a[tag=Weather,tag=Active,tag=!Erased] at @s run function heroaca:weather/quirk

#Levels
execute as @a[tag=!OFA,tag=!AFO,scores={Mastery=..1999}] run scoreboard players set @s level 1
execute as @a[tag=!OFA,tag=!AFO,scores={Mastery=2000..4999}] run scoreboard players set @s level 2
execute as @a[tag=!OFA,tag=!AFO,scores={Mastery=5000..9999}] run scoreboard players set @s level 3
execute as @a[tag=!OFA,tag=!AFO,scores={Mastery=10000..19999}] run scoreboard players set @s level 4
execute as @a[tag=!OFA,tag=!AFO,scores={Mastery=20000..}] run scoreboard players set @s level 5

execute as @a[tag=!OFA,tag=!AFO,scores={level=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run title @s actionbar [{"text":"Exp: ","color":"aqua"},{"score":{"objective":"Mastery","name":"@s"}},{"text":"/2000","color":"aqua"}]
execute as @a[tag=!OFA,tag=!AFO,scores={level=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run title @s actionbar [{"text":"Exp: ","color":"aqua"},{"score":{"objective":"Mastery","name":"@s"}},{"text":"/5000","color":"aqua"}]
execute as @a[tag=!OFA,tag=!AFO,scores={level=3},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run title @s actionbar [{"text":"Exp: ","color":"aqua"},{"score":{"objective":"Mastery","name":"@s"}},{"text":"/10000","color":"aqua"}]
execute as @a[tag=!OFA,tag=!AFO,scores={level=4},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run title @s actionbar [{"text":"Exp: ","color":"aqua"},{"score":{"objective":"Mastery","name":"@s"}},{"text":"/20000","color":"aqua"}]
execute as @a[tag=!OFA,tag=!AFO,scores={level=5},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run title @s actionbar [{"text":"Exp: ","color":"aqua"},{"score":{"objective":"Mastery","name":"@s"}},{"text":"/MAX","color":"aqua"}]

#Effects
execute as @e[nbt={ActiveEffects:[{id:2}]}] run particle minecraft:dust 0 .7 1 1 ~-.5 ~ ~ .2 .8 .2 0 1 normal

#Recipes
function heroaca:recipes

execute as @e[tag=Erased] run scoreboard players remove @s erasetimer 1
execute as @e[tag=Erased,scores={erasetimer=..0}] run tag @s remove Erased

execute as @a[scores={sneaking=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players add @s sneaktime 2

#Support Items
execute as @a[nbt={Inventory:[{id:"minecraft:chainmail_helmet",Slot:103b}]}] run tag @s add gasmask
execute as @a unless entity @s[nbt={Inventory:[{id:"minecraft:chainmail_helmet",Slot:103b}]}] run tag @s remove gasmask

#execute as @a[nbt={Inventory:[{id:"minecraft:chainmail_boots",Slot:100b}]}] run effect give @s levitation 1 255 true
#execute as @a[nbt={Inventory:[{id:"minecraft:chainmail_boots",Slot:100b}]}] run particle minecraft:flame ~ ~ ~ 0 0 0 0 1 force

#Move Selection
execute as @a[tag=Hardening,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Smash on the Ground","bold":true,"color":"green"}
execute as @a[tag=Hardening,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Unbreakable","bold":true,"color":"green"}
execute as @a[tag=Hardening,scores={sneaktime=41..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Invisibility,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Invisibility Spray","bold":true,"color":"green"}
execute as @a[tag=Invisibility,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Engine,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Recipro Burst","bold":true,"color":"green"}
execute as @a[tag=Engine,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Electrification,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Summon Lightning","bold":true,"color":"green"}
execute as @a[tag=Electrification,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Lightning Shot","bold":true,"color":"green"}
execute as @a[tag=Electrification,scores={sneaktime=41..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Explosion,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Explosion","bold":true,"color":"green"}
execute as @a[tag=Explosion,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Surrounding Explosion","bold":true,"color":"green"}
execute as @a[tag=Explosion,scores={sneaktime=41..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Erasure,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Erase","bold":true,"color":"green"}
execute as @a[tag=Erasure,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Fire,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Fire Shot","bold":true,"color":"red"}
execute as @a[tag=Fire,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Fire Leap","bold":true,"color":"red"}
execute as @a[tag=Fire,scores={sneaktime=41..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Decay,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Directed Decay","bold":true,"color":"green"}
execute as @a[tag=Decay,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Surrounding Decay","bold":true,"color":"green"}
execute as @a[tag=Decay,scores={sneaktime=41..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Ice,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Ice Shot","bold":true,"color":"aqua"}
execute as @a[tag=Ice,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Ice Spikes","bold":true,"color":"aqua"}
execute as @a[tag=Ice,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Surround with Ice","bold":true,"color":"aqua"}
execute as @a[tag=Ice,scores={sneaktime=61..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=ColdHot,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Ice Shot","bold":true,"color":"aqua"}
execute as @a[tag=ColdHot,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Ice Spikes","bold":true,"color":"aqua"}
execute as @a[tag=ColdHot,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Fire Shot","bold":true,"color":"red"}
execute as @a[tag=ColdHot,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Fire Wave","bold":true,"color":"red"}
execute as @a[tag=ColdHot,scores={sneaktime=81..100},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar ["",{"text":"Flashfreeze","bold":true,"color":"aqua"},{"text":" Heatwave","bold":true,"color":"red"}]
execute as @a[tag=ColdHot,scores={sneaktime=101..120},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Surround with Ice","bold":true,"color":"aqua"}
execute as @a[tag=ColdHot,scores={sneaktime=121..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=OFA,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Detroit Smash","bold":true,"color":"green"}
execute as @a[tag=OFA,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"California Smash","bold":true,"color":"green"}
execute as @a[tag=OFA,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"United States of Smash","bold":true,"color":"green"}
execute as @a[tag=OFA,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Pass on One For All","bold":true,"color":"green"}
execute as @a[tag=OFA,scores={sneaktime=81..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=MindControl,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Control the Undead","bold":true,"color":"green"}
execute as @a[tag=MindControl,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Creation,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Weapon","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Tools","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Armor","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Bow","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=81..100},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Arrows","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=101..120},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Shield","bold":true,"color":"green"}
execute as @a[tag=Creation,scores={sneaktime=121..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=MuscleAug,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Muscle Shield","bold":true,"color":"green"}
execute as @a[tag=MuscleAug,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Regeneration,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"No Moves","bold":true,"color":"green"}
execute as @a[tag=Regeneration,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=AFO,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Steal Quirk","bold":true,"color":"green"}
execute as @a[tag=afoHardening,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Hardening Attack","bold":true,"color":"green"}
execute as @a[tag=afoInvisibility,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"AoE Invisibility","bold":true,"color":"green"}
execute as @a[tag=afoEngine,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Recipro Burst","bold":true,"color":"green"}
execute as @a[tag=afoElectrification,scores={sneaktime=81..100},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Summon Lightning","bold":true,"color":"green"}
execute as @a[tag=afoExplosion,scores={sneaktime=101..120},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Explosion","bold":true,"color":"green"}
execute as @a[tag=afoErasure,scores={sneaktime=121..140},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Erase Quirk","bold":true,"color":"green"}
execute as @a[tag=afoFire,scores={sneaktime=141..160},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Fire Ball","bold":true,"color":"green"}
execute as @a[tag=afoDecay,scores={sneaktime=161..180},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Decay Shot","bold":true,"color":"green"}
execute as @a[tag=afoIce,scores={sneaktime=181..200},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Ice Spikes","bold":true,"color":"green"}
execute as @a[tag=afoMindControl,scores={sneaktime=201..220},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Control the Undead","bold":true,"color":"green"}
execute as @a[tag=afoCreation,scores={sneaktime=221..240},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Create Weapon","bold":true,"color":"green"}
execute as @a[tag=afoColdHot,scores={sneaktime=241..260},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Flashfreeze Heatwave","bold":true,"color":"green"}
execute as @a[tag=afoWarp,scores={sneaktime=261..280},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Teleport","bold":true,"color":"green"}
execute as @a[tag=afoMuscleAug,scores={sneaktime=281..300},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Muscle Shield","bold":true,"color":"green"}
execute as @a[tag=AFO,scores={sneaktime=301..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Warp,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Teleport","bold":true,"color":"green"}
execute as @a[tag=Warp,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Spread Entities","bold":true,"color":"green"}
execute as @a[tag=Warp,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Teleport Behind Nearest Entity","bold":true,"color":"green"}
execute as @a[tag=Warp,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Portal Body","bold":true,"color":"green"}
execute as @a[tag=Warp,scores={sneaktime=81..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Gas,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"No Moves","bold":true,"color":"green"}
execute as @a[tag=Gas,scores={sneaktime=21..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0
execute as @a[tag=Weather,scores={sneaktime=1..20},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Rain","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=21..40},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Sunny Day","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=41..60},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Thunderstorm","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=61..80},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Wind","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=81..100},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Strong Wind","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=101..120},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run title @s actionbar {"text":"Updraft","bold":true,"color":"green"}
execute as @a[tag=Weather,scores={sneaktime=121..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s sneaktime 0


execute as @a[scores={click=1..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Move Selector\"}"}}}}] run scoreboard players set @s click 0

execute as @a[scores={click=1..}] run scoreboard players add @s active 1
execute as @a[scores={active=1},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run tag @s add Active
execute as @a[scores={active=2},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run tag @s remove Active
execute as @a[scores={active=3..},nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{display:{Name:"{\"text\":\"Quirk Activator\"}"}}}}] run scoreboard players set @s active 1

scoreboard players set @a sneaking 0
scoreboard players set @a sprinting 0
scoreboard players set @a click 0
scoreboard players remove @a cooldown 1
scoreboard players add @a RNG 1
scoreboard players set @a[scores={RNG=401..}] RNG 0